Description
ServiceMesh is the Schema for the servicemeshs API
Type
object

Specification

API Endpoints

The following API endpoints are available:

  • /apis/asm.alauda.io/v1alpha1/namespaces/{namespace}/servicemeshes
    • DELETE: delete collection of ServiceMesh
    • GET: list objects of kind ServiceMesh
    • POST: create a new ServiceMesh
  • /apis/asm.alauda.io/v1alpha1/namespaces/{namespace}/servicemeshes/{name}
    • DELETE: delete the specified ServiceMesh
    • GET: read the specified ServiceMesh
    • PATCH: partially update the specified ServiceMesh
    • PUT: replace the specified ServiceMesh

/apis/asm.alauda.io/v1alpha1/namespaces/{namespace}/servicemeshes

HTTP method
DELETE
Description
delete collection of ServiceMesh
HTTP responses
HTTP codeResponse body
200 - OKStatus schema
401 - UnauthorizedEmpty
HTTP method
GET
Description
list objects of kind ServiceMesh
HTTP responses
HTTP codeResponse body
200 - OKServiceMeshList schema
401 - UnauthorizedEmpty
HTTP method
POST
Description
create a new ServiceMesh
Query parameters
ParameterTypeDescription
dryRunstringWhen present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed
fieldValidationstringfieldValidation instructs the server on how to handle objects in the request (POST/PUT/PATCH) containing unknown or duplicate fields. Valid values are: - Ignore: This will ignore any unknown fields that are silently dropped from the object, and will ignore all but the last duplicate field that the decoder encounters. This is the default behavior prior to v1.23. - Warn: This will send a warning via the standard warning response header for each unknown field that is dropped from the object, and for each duplicate field that is encountered. The request will still succeed if there are no other errors, and will only persist the last of any duplicate fields. This is the default in v1.23+ - Strict: This will fail the request with a BadRequest error if any unknown fields would be dropped from the object, or if any duplicate fields are present. The error returned from the server will contain all unknown and duplicate fields encountered.
Body parameters
ParameterTypeDescription
bodyServiceMesh schemaapplication/json formatted
HTTP responses
HTTP codeResponse body
200 - OKServiceMesh schema
201 - CreatedServiceMesh schema
202 - AcceptedServiceMesh schema
401 - UnauthorizedEmpty

/apis/asm.alauda.io/v1alpha1/namespaces/{namespace}/servicemeshes/{name}

HTTP method
DELETE
Description
delete the specified ServiceMesh
Query parameters
ParameterTypeDescription
dryRunstringWhen present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed
HTTP responses
HTTP codeResponse body
200 - OKStatus schema
202 - AcceptedStatus schema
401 - UnauthorizedEmpty
HTTP method
GET
Description
read the specified ServiceMesh
HTTP responses
HTTP codeResponse body
200 - OKServiceMesh schema
401 - UnauthorizedEmpty
HTTP method
PATCH
Description
partially update the specified ServiceMesh
Query parameters
ParameterTypeDescription
dryRunstringWhen present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed
fieldValidationstringfieldValidation instructs the server on how to handle objects in the request (POST/PUT/PATCH) containing unknown or duplicate fields. Valid values are: - Ignore: This will ignore any unknown fields that are silently dropped from the object, and will ignore all but the last duplicate field that the decoder encounters. This is the default behavior prior to v1.23. - Warn: This will send a warning via the standard warning response header for each unknown field that is dropped from the object, and for each duplicate field that is encountered. The request will still succeed if there are no other errors, and will only persist the last of any duplicate fields. This is the default in v1.23+ - Strict: This will fail the request with a BadRequest error if any unknown fields would be dropped from the object, or if any duplicate fields are present. The error returned from the server will contain all unknown and duplicate fields encountered.
HTTP responses
HTTP codeResponse body
200 - OKServiceMesh schema
401 - UnauthorizedEmpty
HTTP method
PUT
Description
replace the specified ServiceMesh
Query parameters
ParameterTypeDescription
dryRunstringWhen present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed
fieldValidationstringfieldValidation instructs the server on how to handle objects in the request (POST/PUT/PATCH) containing unknown or duplicate fields. Valid values are: - Ignore: This will ignore any unknown fields that are silently dropped from the object, and will ignore all but the last duplicate field that the decoder encounters. This is the default behavior prior to v1.23. - Warn: This will send a warning via the standard warning response header for each unknown field that is dropped from the object, and for each duplicate field that is encountered. The request will still succeed if there are no other errors, and will only persist the last of any duplicate fields. This is the default in v1.23+ - Strict: This will fail the request with a BadRequest error if any unknown fields would be dropped from the object, or if any duplicate fields are present. The error returned from the server will contain all unknown and duplicate fields encountered.
Body parameters
ParameterTypeDescription
bodyServiceMesh schemaapplication/json formatted
HTTP responses
HTTP codeResponse body
200 - OKServiceMesh schema
201 - CreatedServiceMesh schema
401 - UnauthorizedEmpty